Bug 20555 - Move graphs for resources under #resources-container-content
Summary: Move graphs for resources under #resources-container-content
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 14378
  Show dependency treegraph
 
Reported: 2008-08-27 18:49 PDT by Anthony Ricaud
Modified: 2008-09-14 22:38 PDT (History)
2 users (show)

See Also:


Attachments
Work in progress patch (10.74 KB, patch)
2008-08-27 18:54 PDT, Anthony Ricaud
no flags Details | Formatted Diff | Diff
Working patch (11.89 KB, patch)
2008-09-12 16:22 PDT, Anthony Ricaud
no flags Details | Formatted Diff | Diff
Working better (12.53 KB, patch)
2008-09-12 18:30 PDT, Anthony Ricaud
no flags Details | Formatted Diff | Diff
Proposed patch (13.59 KB, patch)
2008-09-14 15:18 PDT, Anthony Ricaud
timothy: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Anthony Ricaud 2008-08-27 18:49:27 PDT
In order to make the timeline view adjustable, we need to move every graph for resources. This should not change any behaviour.
Comment 1 Anthony Ricaud 2008-08-27 18:54:18 PDT
Created attachment 23048 [details]
Work in progress patch

This seems to behave exactly the same. Except one big problem : sorting the graphs like the resources...
Comment 2 Timothy Hatcher 2008-08-27 21:28:33 PDT
Is updateGraphSideWidth needed any more? Can it just be in the CSS now with a 100% width? That would eliminate a loop through all resources when resizing.
Comment 3 Anthony Ricaud 2008-09-12 16:22:23 PDT
Created attachment 23381 [details]
Working patch

This patch is doing the job. But I have to look for obsolete CSS rules, JS code and better variable names.
Comment 4 Anthony Ricaud 2008-09-12 18:30:13 PDT
Created attachment 23385 [details]
Working better

Forgot to clean the graphs after a refresh.
Comment 5 Anthony Ricaud 2008-09-14 15:18:59 PDT
Created attachment 23419 [details]
Proposed patch

Removed a CSS rule, renamed WebInspector.ResourceGraphElement to WebInspector.ResourceGraph and renamed _graphSideElement to _graphElement.

Added my copyright too.
Comment 6 Timothy Hatcher 2008-09-14 21:35:29 PDT
Comment on attachment 23419 [details]
Proposed patch

Nice work!
Comment 7 Timothy Hatcher 2008-09-14 22:38:18 PDT
Landed in r36426.